HF_Antenna

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator
Signals | Public Member Functions | Private Slots | Private Attributes
Configuration Class Reference

`#include <configuration.h>`

Collaboration diagram for Configuration:
[legend]

List of all members.

## Signals
void | sig_portName_Changed (QString)
void | sig_baud_Changed (BaudRateType)
void | sig_serial_opened (QString)

## Public Member Functions
| Configuration (QWidget *parent=0)
| ~Configuration ()

## Private Slots
void | on_openCom_toggled (bool)
| Slot appelé lors de la fermeture ou l'ouverture du port série.
void | on_portName_combo_currentIndexChanged (int index)
| Slot appelé lors du changement du nom du port série.
void | on_baud_combo_currentIndexChanged (int index)
| Slot appelé lors du changement de la vitesse du port série.

## Private Attributes
Ui::Configuration * | ui
Port_Com * | port_

## Constructor & Destructor Documentation

Configuration::Configuration | ( | QWidget * | parent = `0` | ) |
| explicit

Configuration::~Configuration | ( |  | ) |

## Member Function Documentation

void Configuration::on_baud_combo_currentIndexChanged | ( | int | index | ) |
| private slot

Slot appelé lors du changement de la vitesse du port série.

Récupère la valeur du baudRate en fonction de l'index courant Emet le signal sig_baud_Changed

void Configuration::on_openCom_toggled | ( | bool |  | ) |
| private slot

Slot appelé lors de la fermeture ou l'ouverture du port série.

void Configuration::on_portName_combo_currentIndexChanged | ( | int | index | ) |
| private slot

Slot appelé lors du changement du nom du port série.

Récupère le nom de l'index courant Emet le signal sig_portName_Changed

void Configuration::sig_baud_Changed | ( | BaudRateType |  | ) |
| signal

Signal émit lors d'un changement de la vitesse de communication

void Configuration::sig_portName_Changed | ( | QString |  | ) |
| signal

Signal émit lors d'un changement du nom du port

void Configuration::sig_serial_opened | ( | QString |  | ) |
| signal

Signal émit lorsque le port série est ouvert

## Member Data Documentation

Port_Com* Configuration::port_
| private

Ui::Configuration* Configuration::ui
| private

The documentation for this class was generated from the following files:

- C:/Users/Sarah/Documents/Langage_C++/HF_ANTENNA/Project/configuration.h
- C:/Users/Sarah/Documents/Langage_C++/HF_ANTENNA/Project/configuration.cpp